summaryrefslogtreecommitdiff
path: root/fml/utils
diff options
context:
space:
mode:
authorfukachan <fukachan>2002-09-29 06:06:21 +0000
committerfukachan <fukachan>2002-09-29 06:06:21 +0000
commit6dc97a75a47a4787fdfb55185156952a2e206e6c (patch)
tree9bf339861aedb4525e861faaa13111ab9183752e /fml/utils
parentbf77eea4c40804ae004e71aeca6bdbd0c8e10ad1 (diff)
downloadfml8-6dc97a75a47a4787fdfb55185156952a2e206e6c.tar.gz
fml8-6dc97a75a47a4787fdfb55185156952a2e206e6c.tar.bz2
fml8-6dc97a75a47a4787fdfb55185156952a2e206e6c.zip
list up command list from fml/lib/ and fml/etc/filter-reconstruct-base
Diffstat (limited to 'fml/utils')
-rwxr-xr-xfml/utils/bin/listup_commnads.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/fml/utils/bin/listup_commnads.sh b/fml/utils/bin/listup_commnads.sh
new file mode 100755
index 00000000..06565cba
--- /dev/null
+++ b/fml/utils/bin/listup_commnads.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+#
+# $FML$
+#
+
+cd `dirname $0`/../../.. || exit 1
+
+test -d fml/doc/share/config || mkdir -p fml/doc/share/config
+
+echo generating user command list 1>&2
+(
+ fmlconf __default__ commands_for_user | sed 's/.*= *//'
+ fmlconf __default__ commands_for_stranger | sed 's/.*= *//'
+) |\
+tr ' ' '\012' | sort | uniq > fml/doc/share/config/list_user_command.txt
+
+echo generating admin command list 1>&2
+(
+ fmlconf __default__ commands_for_privileged_user | sed 's/.*= *//'
+) |\
+tr ' ' '\012' | sort | uniq > fml/doc/share/config/list_admin_command.txt
+
+echo generating admin.cgi command list 1>&2
+(
+ fmlconf __default__ commands_for_admin_cgi | sed 's/.*= *//'
+)|\
+tr ' ' '\012' | sort | uniq > fml/doc/share/config/list_admin_cgi_command.txt
+
+echo generating makefml command list 1>&2
+apply basename fml/lib/FML/Command/Admin/*.pm |\
+sed 's/.pm$//' |\
+tr ' ' '\012' | sort | uniq > fml/doc/share/config/list_makefml_command.txt
+
+exit 0
+
+